Cisco Ultra Services Framework UAS Unauthenticated Access Vulnerability

2017-07-05T16:00:00
ID CISCO-SA-20170705-UAS
Type cisco
Reporter Cisco
Modified 2017-07-05T13:50:51

Description

A vulnerability in the Ultra Automation Service (UAS) of the Cisco Ultra Services Framework could allow an unauthenticated, remote attacker to gain unauthorized access to a targeted device.

The vulnerability is due to an insecure default configuration of the Apache ZooKeeper service used by the affected software. An attacker could exploit this vulnerability by accessing the affected device through the orchestrator network. An exploit could allow the attacker to gain access to ZooKeeper data nodes (znodes) and influence the behavior of the system's high-availability feature.

Cisco has released software updates that address this vulnerability. There are no workarounds that address this vulnerability.

This advisory is available at the following link: https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20170705-uas ["https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20170705-uas"]